Subject: Re: Prompt Redrawn When Resizing Or Deleting Panes In Tmux
From: "Nikolay Aleksandrovich Pavlov (ZyX)" <[email-masked]>
To: "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Fri, 20 May 2016 13:38:36 +0300
List-Id: Zsh Workers List <zsh-workers.zsh.org>

20.05.2016, 04:37, "[email-masked]" <[email-masked]>:
> Hello,
>
> I'm not sure if this is a bug, or because the way tmux works, zsh is
> redrawing itself on the screen, therefore creating addition prompts.
>
> Please see this bug report for all the things I've been running into with
> tmux;
>
> https://github.com/tmux/tmux/issues/405
>
> thanks

It must redraw itself on screen when resizing at least because otherwise it will have no idea about where user cursor actually is (which means redrawing with the same problems while typing something or throwing visual artifacts at user), not to mention that right prompts will be positioned wrongly after resize and some prompts (e.g. powerline) may want to shrink/expand themselves when given additional space. What you see though is rather strange, so I would ask what is there in your PS1 and RPS1.